package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.ApsaraStackMysqlService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 服务操作业务实现
 *
 * @author YuFengYang
 * @version 1.0
 * @since 2022/9/29 15:42
 */
@Tag(name = "云主机监控")
@RestController
@RequestMapping("v1/apsarastack")
public class ApsaraStackController {

    private final ApsaraStackMysqlService apsaraStackMysqlService;

    public ApsaraStackController(ApsaraStackMysqlService apsaraStackMysqlService) {
        this.apsaraStackMysqlService = apsaraStackMysqlService;
    }

    /**
     * mysql列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return mysql列表
     */
    @GetMapping("/rds/mysql")
    @Operation(summary = "mysql列表")
    public GeneralResult list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return apsaraStackMysqlService.list(pager, context, request);
    }


}
