package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.DataStoreService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据存储监控
 *
 * @author zhangdi
 * @since July 7,2020
 */

@RestController
@Tag(name = "数据存储监控")
@RequestMapping("/v1/datastores")
public class DataStoreController {

    private final DataStoreService dataStoreService;

    @Autowired
    public DataStoreController(DataStoreService dataStoreService) {
        this.dataStoreService = dataStoreService;
    }

    /**
     * 数据存储列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 数据列表
     */
    @GetMapping
    @Operation(summary = "数据存储列表展示")
    public GeneralResult list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context) {
        return dataStoreService.list(pager, context);
    }
}