package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.KvsService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * key-value数据库监控
 *
 * @author zyf
 * @since 2020-03-30
 */

@RestController
@Tag(name = "非关系型数据库监控")
@RequestMapping("/v1/kvs")
public class KvsController {

    private final KvsService kvsService;

    @Autowired
    public KvsController(KvsService kvsService) {
        this.kvsService = kvsService;
    }

    /**
     * 非关系型数据库监控
     *
     * @param pager   分页
     * @param catalog 标识
     * @param context 用户上下文
     * @param request 请求request
     * @return 非关系型数据库监控数据列表
     */
    @GetMapping
    @Operation(summary = "非关系型数据库监控")
    public GeneralResult list(Pager pager, String catalog, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return kvsService.list(pager, catalog, context, request);
    }
}
