package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.RdsService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 关系型数据库监控
 *
 * @author zyf
 * @since 2020-03-30
 */

@RestController
@Tag(name = "关系型数据库监控")
@RequestMapping("/v1/rds")
public class RdsController {

    private final RdsService rdsService;

    @Autowired
    public RdsController(RdsService rdsService) {
        this.rdsService = rdsService;
    }

    /**
     * 关系型数据库列表
     *
     * @param pager   分页
     * @param catalog 标识
     * @param context 用户上下文
     * @param request 请求request
     * @return 关系型数据库列表
     */
    @GetMapping
    @Operation(summary = "关系型数据库列表")
    public GeneralResult list(Pager pager, String catalog, @Value(Common.REQ_CONTEXT) RequestContext context,
                              HttpServletRequest request) {
        return rdsService.list(pager, catalog, context, request);
    }
}
