package com.bocloud.cms.booter.controller;

import com.bocloud.cms.entity.ResourceAlarmStatus;
import com.bocloud.cms.intf.ResourceAlarmStatusService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

/**
 * @author fanzx
 */
@RestController
@Tag(name = "资源告警状态")
@RequestMapping("/v1/alarmstatus")
public class ResourceAlarmStatusController {

    @Autowired
    private ResourceAlarmStatusService alarmStatusService;

    /**
     * 屏蔽告警
     *
     * @param alarmStatus 平台告警状态
     * @param context     当前用户上下文
     * @return 成功/失败
     */
    @DeleteMapping
    @Operation(summary = "屏蔽告警")
    public GeneralResult remove(@RequestBody ResourceAlarmStatus alarmStatus,
                                @Value(Common.REQ_CONTEXT) RequestContext context) {
        return alarmStatusService.remove(alarmStatus, context);
    }

    /**
     * 开启告警
     * true 开启,false 关闭
     *
     * @param context     当前用户上下文
     * @param alarmStatus 平台告警状态
     * @return 成功/失败
     */
    @PostMapping
    @Operation(summary = "开启告警")
    public GeneralResult create(@Value(Common.REQ_CONTEXT) RequestContext context,
                                @RequestBody ResourceAlarmStatus alarmStatus) {
        return alarmStatusService.create(alarmStatus, context);
    }

}
