package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.SanFabricService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 交换机监控
 *
 * @author liuyuanyuan
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@Tag(name = "交换机监控")
@RestController
@RequestMapping("/v1/switches")
public class SwicthController {

    private final SanFabricService sanFabricService;

    public SwicthController(SanFabricService sanFabricService) {
        this.sanFabricService = sanFabricService;
    }

    /**
     * 交换机接口列表
     *
     * @param pager   分页
     * @param context 用户上下文
     * @param request 请求request
     * @return 交换机接口列表
     */
    @GetMapping("/ports")
    @Operation(summary = "交换机接口列表")
    public GeneralResult listOfVm(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return sanFabricService.listOfPorts(pager, context, request);
    }
}