package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.TceVolumeService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author hya
 * @date 2022/5/10 11:09
 */
@Tag(name = "TCE监控")
@RestController
@RequestMapping("/v1/tce")
public class TceController {

    @Autowired
    private TceVolumeService tceVolumeService;

    /**
     * 查询所有虚拟机列表信息
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request 请求request
     * @return TCE磁盘列表
     */
    @GetMapping("/volumes")
    @Operation(summary = "TCE磁盘列表")
    public GeneralResult listOfDisk(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return tceVolumeService.listOfVolume(pager, context, request);
    }
}
