package com.bocloud.cms.entity;

import com.alibaba.fastjson.JSONObject;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zhangyf
 * @since 2018-12-20
 */
@EqualsAndHashCode(callSuper = true)
@Table("monitor_metric")
@Data
public class Metric extends Generic {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * name
     */
    @Column("name")
    private String name;
    /**
     * 资源类型
     */
    @Column("resource_type")
    private String resourceType;
    /**
     * 表达式
     */
    @Column("expr")
    private String expr;
    /**
     * 标签
     */
    @Column("tag")
    private String tag;
    /**
     * 告警名称，如果该值未空，则告警名称为name字段
     */
    @Column("alarm_name")
    private String alarmName;
    /**
     * 是否活跃
     */
    @Column("active")
    private Boolean active;
    /**
     * Metric单位
     */
    @Column("unit")
    private String unit;
    /**
     * 是否为事件告警
     * true为事件告警/false为指标告警
     */
    @Column("is_event")
    private Boolean isEvent;
    /**
     * 指标监控状态 true开启/false关闭
     */
    @Column("status")
    private Boolean status;

    @IgnoreAll
    private String resourceName;

    /**
     * 最大值/最小值/平均值
     */
    @Column("fun")
    private String strFun;
    @IgnoreAll
    @Column("fun_ignore")
    private List<String> fun;

    public List<String> getFun() {
        if (StringUtils.isNotBlank(strFun)) {
            return JSONObject.parseArray(strFun).toJavaList(String.class);
        }
        return new ArrayList<>();
    }

    public void setFun(List<String> fun) {
        this.strFun = JSONObject.toJSONString(fun);
        this.fun = fun;
    }

    public String getUnit() {
        if (unit == null) {
            return "";
        }
        return unit;
    }
}
