package com.bocloud.cms.entity;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * openstack平台超分比配置
 *
 * @author zhangdi
 * @since Jul 2,2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table("monitor_allocation_ratio")
public class MonitorAllocationRatio extends Generic {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 平台ID
     */
    @Column("vendor_id")
    private Long vendorId;
    /**
     * vcpu超分比
     */
    @Column("vcpu_ratio")
    private Long vcpuRatio;
    /**
     * 内存超分比
     */
    @Column("ram_ratio")
    private Long ramRatio;
    /**
     * 磁盘超分比
     */
    @Column("disk_ratio")
    private Long diskRatio;

}
