package com.bocloud.cms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreUpdate;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 主机监控实体类
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table("monitor_host_ipmi")
public class MonitorHostIpmi extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("host_id")
    private Long hostId;
    @Column("ipmi_ip")
    private String ipmiIp;
    @Column("username")
    private String username;
    @Column("password")
    private String password;
    /**
     * 创建时间
     */
    @Column("gmt_create")
    @IgnoreUpdate
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    /**
     * 创建者id
     */
    @IgnoreUpdate
    @Column("creator_id")
    private Long creatorId;
    /**
     * 修改者id
     */
    @Column("mender_id")
    private Long menderId;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;

}
