package com.bocloud.cms.model;

import com.megatron.common.model.RequestContext;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 通知消息体
 *
 * @author weiwei
 * @since 2017年7月26日
 */
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Data
public class NotifyMessage {

    private String subject;
    private String content;
    private String emailContent;
    private String weChatContent;
    private String dingTalkContent;
    private RequestContext context;
    private boolean sendMsg;
    private boolean sendEmail;
    private boolean sendWeChat;
    private boolean sendDingTalk;

    public NotifyMessage(RequestContext context, String subject, String content, String emailContent, boolean sendMsg,
                         boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.emailContent = emailContent;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

}
