package com.bocloud.cms.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * prometheus告警规则
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@Data
public class PrometheusAlertRuleGroup {

    private String name;
    private List<PrometheusAlertRule> rules;

    @EqualsAndHashCode(callSuper = false)
    @Data
    public static class PrometheusAlertRule {
        private String alert;
        private String expr;
        @JSONField(name = "for")
        private String for1;
        private Map<String, String> labels;
        private Map<String, String> annotations;
    }
}
