package com.bocloud.dms.entity;

import com.bocloud.ims.entity.Server;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * CephOsd
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class CephOsd extends GenericEntity {

    private Long id;
    private String osdId;
    private String osdUuid;
    private Long nodeId;
    private Long vendorId;
    private Double diskTotal;
    private Double diskUsed;
    private Integer pgNum;
    private String dataDisk;
    private String logDisk;
    /**
     * 缓存盘id，关联disk表
     */
    private Long cacheDiskId;
    /**
     * 物理盘id，关联disk表
     */
    private Long physicalDiskId;
    /**
     * 所属服务器id，关联server表
     */
    private Long serverId;
    /**
     * 所属存储池id，关联volume_pool表
     */
    private Long volumePoolId;
    /**
     * 角色
     */
    private String role;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 权重
     */
    private Long weight;

    private String nodeName;
    private String saltMasterUrl;
    private String targetServers;
    private String host;
    private String hostType;
    private Disk physicalDisk;
    private Disk cacheDisk;
    private Long readCacheSize;
    private Server server;
    private VolumePool volumePool;


}
