package com.bocloud.pms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 配置中心中间件服务
 *
 * @author weiwei
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Ccs extends GenericEntity {

    /**
     *ID
     */
    private Long id;  
    /**
     *UUID
     */
    private String uuid;  
    private String instanceId;
    private String type;
    /**
     *部署类型
     */
    private String category;  
    /**
     *版本
     */
    private String version; 
    /**
     *产品ID
     */
    private Long skuId; 
    /**
     *网络ID
     */
    private Long networkId; 
    /**
     *所属域
     */
    private String region; 
    /**
     *所属租户
     */
    private Long tenantId; 
    private String inventory;
    /**
     *类型ID
     */
    private Long categoryId;  
    /**
     *配置
     */
    private String spec; 
    private String address;
    private String username;
    private String password;
    private String manageIp;
    private String gmtCatalog;
    private Long taskId;
    private List<CcsNode> nodes;
    /**
     *过期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;
    private String categoryName;
    private Long diskSkuId;
    private Integer dataDisk;
    private String diskCategory;
    private String tenantName;
}
