package com.bocloud.sms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.*;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 角色表
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Table("role")
public class Role extends GenericEntity implements Serializable {

    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("name")
    private String name;

    @Column("remark")
    private String remark;

    @Column("gmt_create")
    @IgnoreUpdate
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;

    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;

    @Column("creator_id")
    private Long creatorId;

    @Column("mender_id")
    private Long menderId;

    @Column("status")
    private String status;

    @Column("is_deleted")
    private Boolean deleted;

    @Column("owner_id")
    private Long ownerId;

    @Column("props")
    private String props;

    @Column("tenant_id")
    private Long tenantId;

    @IgnoreAll
    private Boolean checked;

}
