package com.bocloud.cms.intf;

import com.bocloud.cms.entity.AlarmSendPolicy;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 告警分发策略service
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年7月11日
 */
public interface AlarmSendPolicyService {

    /**
     * 分发策略列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 分发策略列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

    /**
     * 添加
     *
     * @param alarmSendPolicy 分发策略
     * @param context         当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> create(AlarmSendPolicy alarmSendPolicy, RequestContext context);

    /**
     * 更新
     *
     * @param alarmSendPolicy 分发策略
     * @param context         当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> modify(AlarmSendPolicy alarmSendPolicy, RequestContext context);

    /**
     * 移除
     *
     * @param id      分发策略ID
     * @param context 当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> remove(Long id, RequestContext context);

    /**
     * 分发策略详情
     *
     * @param id 分发策略ID
     * @return 分发策略详情
     */
    GeneralResult<?> detail(Long id);
}
