package com.bocloud.cms.intf;

import com.bocloud.cms.entity.AlarmTemplate;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * 告警模板
 *
 * @author fanzx
 * @version 5.5.0
 * @date 2022/2/21 18:01
 */
public interface AlarmTemplateService {

    /**
     * 模版列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 模版列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

    /**
     * 添加
     *
     * @param alarmTemplate 告警模板
     * @param context       当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> create(AlarmTemplate alarmTemplate, RequestContext context);

    /**
     * 更新
     *
     * @param alarmTemplate 告警模板
     * @param context       当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> modify(AlarmTemplate alarmTemplate, RequestContext context);

    /**
     * 移除
     *
     * @param id      告警模板ID
     * @param context 当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> remove(Long id, RequestContext context);

    /**
     * 获取详细信息
     *
     * @param id 告警模板ID
     * @return 详情
     */
    GeneralResult<?> detail(Long id);

    /**
     * 批量删除告警模板
     *
     * @param ids 告警模板ID集合
     * @return 操作结果
     */
    GeneralResult<?> batchRemove(List<Long> ids);
}
