package com.bocloud.cms.intf;

import com.bocloud.cms.entity.MonitorAnalysisRule;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 监控分析Service接口
 *
 * @author zhangyf
 * @version 5.5.0
 * @date 2022/2/21 18:01
 */
public interface AnalysisRuleService {

    /**
     * 监控分析列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 监控分析列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

    /**
     * 新增监控分析
     *
     * @param analysisRule 监控分析规则
     * @param context      当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> create(MonitorAnalysisRule analysisRule, RequestContext context);

    /**
     * 修改监控分析
     *
     * @param analysisRule 监控分析规则
     * @param context      当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> modify(MonitorAnalysisRule analysisRule, RequestContext context);

    /**
     * 删除监控分析
     *
     * @param id     ID
     * @param userId 用户ID
     * @return 操作结果
     */
    GeneralResult<?> remove(Long id, Long userId);

    /**
     * 监控分析详情
     *
     * @param id ID
     * @return 监控分析详情
     */
    GeneralResult<?> detail(Long id);


}
