package com.bocloud.cms.intf;

import com.bocloud.pms.entity.Ccs;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 配置中心Service
 *
 * @author zhangdi
 * @since July 10,2020
 */
public interface CcsService extends MonitoringAble<Ccs> {

    /**
     * 资源被创建后初始化
     *
     * @param ccs 配置中心实体
     * @throws Exception 软件安装完成后回调处理时产生的异常
     */
    void init(Ccs ccs) throws Exception;

    /**
     * 列表
     *
     * @param pager   分页
     * @param catalog 资源类型
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 配置中心列表
     */
    GeneralResult<?> list(Pager pager, String catalog, RequestContext context, HttpServletRequest request);

}
