package com.bocloud.cms.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * KubernetesService层
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface KubernetesService extends MonitoringAble {

    /**
     * 节点列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 节点列表
     */
    GeneralResult<?> listOfNode(Pager pager, RequestContext context);

    /**
     * pod列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return pod列表
     */
    GeneralResult<?> listOfPod(Pager pager, RequestContext context);

    /**
     * 根据nodeId进行修改
     *
     * @param id ID
     * @return node详情
     */
    GeneralResult<?> detailOfNode(Long id);

    /**
     * 根据podName进行查询详细信息
     *
     * @param name 名称
     * @return Pod详情
     */
    GeneralResult<?> detailOfPod(String name);

}
