package com.bocloud.cms.intf;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cms.entity.RuleGroup;
import com.bocloud.cms.model.PrometheusAlertRuleGroup;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

import java.io.File;
import java.util.List;

/**
 * 告警规则
 *
 * @author zhangyf
 * @since 2018-12-21
 */
public interface PrometheusRuleService {

    /**
     * 生成rule并同步到prometheus
     *
     * @param context   当前用户上下文
     * @param ruleGroup 告警规则
     * @throws Exception 生成告警规则时发生异常
     */
    void generateRule(RequestContext context, RuleGroup ruleGroup);

    /**
     * 生成Rule文件
     *
     * @param objList  Prometheus告警规则
     * @param fileList 需生成的告警规则文件列表
     * @return 结果
     */
    @Deprecated
    GeneralResult<?> generateFile(List<JSONObject> objList, List<File> fileList);

    /**
     * 生成Rule文件
     *
     * @param groups prometheus告警规则
     * @param file   需生成的告警规则文件列表
     * @return 结果
     */
    GeneralResult<?> generateFile(List<PrometheusAlertRuleGroup> groups, File file);

    /**
     * 删除告警规则文件
     *
     * @param id     告警规则ID
     * @param reload 是否重新加载prometheus
     */
    void deleteRuleFile(Long id, boolean reload);

}
