package com.bocloud.cms.intf;

import com.bocloud.cms.model.LineChartResult;
import com.megatron.common.model.GeneralResult;

import java.util.List;

/**
 * 监控数据查询
 *
 * @author zhangyf
 * @since 2019-01-08
 */
public interface QueryService {

    /**
     * 图表
     *
     * @param exprs 表达式集合
     * @param names 图表名集合
     * @param start 开始时间戳
     * @param end   结束时间戳
     * @param step  步长
     * @param unit  单位
     * @return 监控图表
     */
    LineChartResult chart(List<String> exprs, List<String> names, String start, String end, String step, String unit);

    /**
     * openstack平台概览监控
     *
     * @param id 云平台ID
     * @return openstack平台概览监控信息
     */
    GeneralResult<?> vendor(Long id);

    /**
     * 云平台信息下载
     *
     * @param id   云平台ID
     * @param uuid 云平台UUID
     * @return 云平台信息
     */
    GeneralResult<?> download(Long id, String uuid);

}