package com.bocloud.cms.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 云主机
 *
 * @author zhangyf
 * @since 2019-12-23
 */
public interface VmService {

    /**
     * 云主机列表，先从cmp查询，然后再查询ruleRelation，最后将结果拼到结果集里
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 云主机列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context, HttpServletRequest request);

    /**
     * 云主机资源概览
     *
     * @param id 云主机ID
     * @return 云主机资源概览信息
     */
    GeneralResult<?> vmOverview(Long id);


    GeneralResult listManagerBms(Pager pager, RequestContext context, HttpServletRequest request);

    GeneralResult listManagerCce(Pager pager, RequestContext context, HttpServletRequest request);

}