package com.bocloud.cms.service.internal.ciscoswitch;

import com.bocloud.cmp.boot.model.BoCloudService;
import com.bocloud.cmp.boot.model.BocloudToken;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.utils.Common;
import com.megatron.framework.core.CurrentService;
import com.megatron.framework.core.Service;
import com.megatron.framework.http.core.HttpMethod;
import com.megatron.framework.http.core.ServiceFactory;
import com.megatron.framework.http.model.RemoteService;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * 交换机
 *
 * @author liuyuanyuan
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@Component
public class SanFabricPortService {

    private final ServiceFactory serviceFactory;
    private final CurrentService currentService;

    public SanFabricPortService(ServiceFactory serviceFactory, CurrentService currentService) {
        this.serviceFactory = serviceFactory;
        this.currentService = currentService;
    }

    /**
     * Port列表
     *
     * @param pager 分页
     * @param token Token
     * @return Port列表
     */
    public GeneralResult<?> listOfPorts(Pager pager, String token) {
        Map<String, Object> headers = new HashMap<>(2);
        if (token == null) {
            headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        } else {
            headers.put(Common.TOKEN, token);
        }
        RemoteService remoteService = serviceFactory.build(Service.create(BoCloudService.CMP.getName()),
                " /plugins/ciscoswitch/v1/switches/ports",
                HttpMethod.GET, headers, pager.toMap(false));
        return remoteService.invoke();
    }
}
