package com.bocloud.cms.service.internal.vsphere;

import com.bocloud.cmp.boot.model.BoCloudService;
import com.bocloud.cmp.boot.model.BocloudToken;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.framework.core.CurrentService;
import com.megatron.framework.core.Service;
import com.megatron.framework.http.core.HttpMethod;
import com.megatron.framework.http.core.ServiceFactory;
import com.megatron.framework.http.model.RemoteService;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;

import java.util.HashMap;
import java.util.Map;

/**
 * 数据存储调用
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@Component
public class DataStoreService {

    private final ServiceFactory serviceFactory;
    private final CurrentService currentService;

    public DataStoreService(ServiceFactory serviceFactory, CurrentService currentService) {
        this.serviceFactory = serviceFactory;
        this.currentService = currentService;
    }

    /**
     * 数据存储列表
     *
     * @param pager 分页
     * @return 数据存储列表
     */
    public GeneralResult<?> list(Pager pager) {
        Map<String, Object> headers = new HashMap<>(2);
        headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        RemoteService remoteService = serviceFactory.build(Service.create(BoCloudService.CMP.getName()),
                "/plugins/vmware/v1/datastores", HttpMethod.GET, headers, pager.toMap(false));
        GeneralResult<?> invoke = remoteService.invoke();
        Assert.isTrue(invoke.isSuccess(), invoke.getMessage());
        return invoke;
    }

}
